package app.mar.activities;

import android.app.Activity;
import android.net.Uri;

import app.mar.activities.fragments.ChallengeFragment;
import app.mar.game.Game;
import app.mar.game.Resource;
import app.mar.game.challenges.Challenge;

public interface ChallengeDriver extends ChallengeFragment.OnFragmentInteractionListener {
    public void challengeValidate(Challenge c, Game g, ChallengeDriver cd);
    public void challengePassed(Challenge c, Game g, ChallengeDriver cd);
    public Challenge currentChallenge();
    public void setFragment(Challenge c);
    public void onFragmentInteraction(Uri uri);
    public void onReady(Challenge chall);

    public void   startResource(Resource r);


    public void setVisibilityView(int res, int state);
    public void setVisibilityView(int[] res, int state);

    public void setFinished();
    public void setFailed();
    public Activity getActivity();


    public void load();
    public void save();
    //TODO: Sauvegarde dans le prototype
}
